<?xml version="1.0" encoding="UTF-8"?>
<diagram author="Yentl Van Tendeloo" name="MvK Server">
    <description>
        Modelverse Kernel server. Server for the MvI, client of the MvS.
    </description>
    <top>
        import time
        import os
        import urllib
        import sys
        import json

        from modelverse_kernel.main import ModelverseKernel
        sys.path.append("../../state")
        from modelverse_state.main import ModelverseState
    </top>

    <inport name="socket_in"/>
    <outport name="socket_out"/>

    <class src="classes/mvkcontroller.xml" default="true"/>
    <class src="classes/server.xml"/>
    <class src="classes/socket.xml"/>
    <class src="classes/http_client.xml"/>
    <class src="classes/task_statechart.xml"/>
    <class src="classes/executor.xml"/>
</diagram>
